summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes2010-12-26 12:55:51 +0100
committer Niels Horn2010-12-26 12:55:51 +0100
commit3016f148a954bb72c8239e0d48f13f383db81078 (patch)
tree75f2213d22087f81585384236c07da7ae2592e91
parent70ac971dc361932495ab0c2ad4077c33e09610a9 (diff)
downloadslackbuilds-3016f148a954bb72c8239e0d48f13f383db81078.tar.gz
multimedia/cfourcc: Added (FourCC code tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--multimedia/cfourcc/README9
-rw-r--r--multimedia/cfourcc/cfourcc.SlackBuild71
-rw-r--r--multimedia/cfourcc/cfourcc.info11
-rw-r--r--multimedia/cfourcc/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/multimedia/cfourcc/README b/multimedia/cfourcc/README
new file mode 100644
index 0000000000..8dac13c7e1
--- /dev/null
+++ b/multimedia/cfourcc/README
@@ -0,0 +1,9 @@
+Identifies the codec used in AVI files (*.avi) and allow the user to
+change the FourCC description code (like fourcc-changer in Windows).
+Useful for people working with Microsoft AVI file. A Linux clone of
+AviC fourcc changer tool.
+
+No need to re-encode or copy the sound and video streams.
+
+TIP: Some programs (like divx player) require the tag DIVX instead
+of XVID or FMP4 or... divx or (e.t.c.) to play mpeg4 files.
diff --git a/multimedia/cfourcc/cfourcc.SlackBuild b/multimedia/cfourcc/cfourcc.SlackBuild
new file mode 100644
index 0000000000..aece9b0a53
--- /dev/null
+++ b/multimedia/cfourcc/cfourcc.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Slackware build script for <cfourcc>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=cfourcc
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Change Makefile so that it respects CFLAGS
+sed -i "s|^CFLAGS=|CFLAGS+=|" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+mkdir -p $PKG/usr/bin
+cp -p cfourcc $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog TODO README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/cfourcc/cfourcc.info b/multimedia/cfourcc/cfourcc.info
new file mode 100644
index 0000000000..643aa238f5
--- /dev/null
+++ b/multimedia/cfourcc/cfourcc.info
@@ -0,0 +1,11 @@
+PRGNAM="cfourcc"
+VERSION="0.1.2"
+HOMEPAGE="http://sarovar.org/projects/gfourcc"
+DOWNLOAD="http://sarovar.org/frs/download.php/551/cfourcc-0.1.2.tar.gz"
+MD5SUM="50e68cd5e0ea96574cab7e36595b9ad9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Niels Horn"
+
diff --git a/multimedia/cfourcc/slack-desc b/multimedia/cfourcc/slack-desc
new file mode 100644
index 0000000000..8d82e87930
--- /dev/null
+++ b/multimedia/cfourcc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cfourcc: cfourcc (FourCC code tool)
+cfourcc:
+cfourcc: Identifies the codec used in AVI files (*.avi) and allow the user to
+cfourcc: change the FourCC description code (like fourcc-changer in Windows).
+cfourcc:
+cfourcc: Useful for people working with Microsoft AVI file. A Linux clone of
+cfourcc: AviC fourcc changer tool.
+cfourcc:
+cfourcc:
+cfourcc:
+cfourcc: